
From: David Mosberger <davidm@napali.hpl.hp.com>

The driver is just plain wrong in trying to use dma64_addr_t: only
pci_dac_*() routines use or return values of this type, but those routines
are never used in sym_glue.c (and shouldn't be used, since they serve on a
very special purpose of supporting DAC-capable devices which would create
tons of I/O MMU mappings if SAC were used instead).




 drivers/scsi/sym53c8xx_2/sym_glue.c |    4 ----
 1 files changed, 4 deletions(-)

diff -puN drivers/scsi/sym53c8xx_2/sym_glue.c~sym2-bus_addr-fix drivers/scsi/sym53c8xx_2/sym_glue.c
--- 25/drivers/scsi/sym53c8xx_2/sym_glue.c~sym2-bus_addr-fix	2003-06-26 18:39:55.000000000 -0700
+++ 25-akpm/drivers/scsi/sym53c8xx_2/sym_glue.c	2003-06-26 18:39:55.000000000 -0700
@@ -295,12 +295,8 @@ struct host_data {
 #ifndef SYM_LINUX_DYNAMIC_DMA_MAPPING
 typedef u_long		bus_addr_t;
 #else
-#if	SYM_CONF_DMA_ADDRESSING_MODE > 0
-typedef dma64_addr_t	bus_addr_t;
-#else
 typedef dma_addr_t	bus_addr_t;
 #endif
-#endif
 
 /*
  *  Used by the eh thread to wait for command completion.

_
